
.. _why_cli:

why
***







.. rubric:: Output of :code:`--help=why`



The following help text is generated by :code:`ecflow_client --help=why`

::

   
   why
   ---
   
   Show the reason why a node is not running.
   Can only be used with the group command. The group command must include a 
   'get' command(i.e returns the server defs)
   The why command take a optional string argument representing a node path
   Will return reason why the node is holding and for all its children.
   If no arguments supplied will report on all nodes
     arg = node path | arg = NULL
   Usage:
     --group="get; why"               # returns why for all holding nodes
     --group="get; why=/suite/family" # returns why for a specific node
   
   The client considers, for both user and child commands, the following environment variables:
   
     ECF_HOST <string> [mandatory*]
       The main server hostname; default value is 'localhost'
     ECF_PORT <int> [mandatory*]
       The main server port; default value is '3141'
     ECF_SSL <any> [optional*]
       Enable secure communication between client and server.
     ECF_HOSTFILE <string> [optional]
       File that lists alternate hosts to try, if connection to main host fails
     ECF_HOSTFILE_POLICY <string> [optional]
       The policy ('task' or 'all') to define which commands consider using alternate hosts.
   
   The options marked with (*) must be specified in order for the client to communicate
   with the server, either by setting the environment variables or by specifying the
   command line options.
   

